<?php
/** 
* Polish Language File developed by mybboard.pl for NewPoints Attachment Cost 1.1
* Tłumaczenie: Schocker
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/ 

/***************************************************************************
 *
 *   Attachment Cost plugin for NewPoints (/inc/plugins/newpoints/newpoints_atcost.php)
 *	 Author: AndrewPH
 *   Copyright: © 2009-2010 Pirata Nervo & AndrewPH
 *   
 *   Website: http://www.animebb.co.cc
 *
 *   Integrates an Attachment fee for every attachment downloads.
 *
 ***************************************************************************/
 
/****************************************************************************
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

/***************************************************************************
Based off Pirata Nervo's Pay to Download MyPlaza Turbo module.
I have his permissions to redistribute this plugin as a NewPoints plugin
***************************************************************************/

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook('attachment_end', 'newpoints_atcost_run');

function newpoints_atcost_info()
{
	return array(
		"name"			=> "Attachment Cost",
		"description"	=> "Pozwala na wprowadzenie opłat za pobieranie załączników.",
		"website"		=> "http://www.animebb.co.cc",
		"author"		=> "Chonghua",
		"authorsite"	=> "http://www.animebb.co.cc",
		"version"		=> "1.1",
		"guid" 			=> "",
		"compatibility" => "*"
	);
}

function newpoints_atcost_install()
{
	global $db;
	
	// add settings
	newpoints_add_setting('newpoints_atcost_forums', 'newpoints_atcost', 'Działy z płatnymi załącznikami', 'ID działów, w których mają obowiązywać opłaty za pobieranie załączników. (oddzielone przecinkami)', 'text', '1,2', 1);
	newpoints_add_setting('newpoints_atcost_fee', 'newpoints_atcost', 'Opłata za pobranie załącznika', 'Ilość punktów wymagana do pobrania załącznika.', 'text', '10.00', 1);
	
	rebuild_settings();

	// this is where we hold the threads that have been paid
	$db->write_query("CREATE TABLE `".TABLE_PREFIX."newpoints_atcost_download_threads` (
	  `pid` int(10) UNSIGNED NOT NULL auto_increment,
	  `tid` bigint(30) UNSIGNED NOT NULL default '0',
	  `uid` bigint(30) UNSIGNED NOT NULL default '0',
	  `date` bigint(20) UNSIGNED NOT NULL default '0',
	  PRIMARY KEY  (`pid`)
		) TYPE=MyISAM");

}

function newpoints_atcost_is_installed()
{
	global $db;
	
	if($db->table_exists('newpoints_atcost_download_threads'))
		return true;
	else
		return false;
}

function newpoints_atcost_uninstall()
{
	global $db;

	if($db->table_exists('newpoints_atcost_download_threads'))
		$db->drop_table('newpoints_atcost_download_threads');
	
	// delete settings
	newpoints_remove_settings("'newpoints_atcost_forums','newpoints_atcost_fee'");
	rebuild_settings();
}

function newpoints_atcost_activate()
{
	global $db, $mybb;
}

function newpoints_atcost_deactivate()
{
	global $db, $mybb;
}

function newpoints_atcost_run()
{
	global $aid, $mybb, $db, $lang, $thread, $fid, $tid;
	
	$affected_fids = explode(',', $mybb->settings['newpoints_atcost_forums']);
	if (!in_array($fid, $affected_fids))
		return;
	
	newpoints_lang_load("newpoints_atcost");
	
	$payment = $db->fetch_array($db->simple_select('newpoints_atcost_download_threads', '*', 'uid=\''.$mybb->user['uid'].'\' AND tid=\''.$thread['tid'].'\'', array('limit' => 1)));
	
	if ($mybb->input['do_pay'] && !$payment)
	{
		verify_post_check($mybb->input['postcode']);
	
		// insert into the database that the user has paid to download from this thread
		$insert_array = array(
			'tid' => intval($thread['tid']),
			'uid' => intval($mybb->user['uid']),
			'date' => TIME_NOW
		);
		$db->insert_query('newpoints_atcost_download_threads', $insert_array);
		
		// get money from user
		newpoints_addpoints($mybb->user['uid'], -floatval($mybb->settings['newpoints_atcost_fee']), 1, true);

		$payment = true;


	}

	if (!$payment) // the user still hasn't paid for this thread
	{
		if (floatval($mybb->user[newpoints]) < floatval($mybb->settings['newpoints_atcost_fee']))
			error($lang->sprintf($lang->newpoints_atcost_no_money, newpoints_format_points(floatval($mybb->settings['newpoints_atcost_fee']))));
		else {
			$page = $lang->sprintf($lang->newpoints_atcost_notice, newpoints_format_points(floatval($mybb->settings['newpoints_atcost_fee'])))."<br /><form action=\"attachment.php?aid=".$aid."\" method=\"post\">";
			
			$page .= "<input type=\"hidden\" name=\"do_pay\" value=\"1\">";
			$page .= "<input type=\"hidden\" name=\"postcode\" value=\"{$mybb->post_code}\">";
			
			foreach ($mybb->input as $value => $name)
			{
				$page .= "<input type=\"hidden\" name=\"".$name."\" value=\"".$value."\">";
			}
		
			$page .= "<input type=\"submit\" value=\"Potwierdź\">";
			
			$page .= "</form>";
		
			error($page, $lang->newpoints_atcost_verify_payment);

		}

	}
	return;
}

?>